IRPCSharedLinks.SetSharedLinkRecipients

View as Markdown

Vault API / standard write session or assertion returns metadata structure version

Updates the expiration time and access type of visitors of external links.

ServiceShared links MFiles.IRPCSharedLinks
gRPC method/MFiles.IRPCSharedLinks/SetSharedLinkRecipients
HTTP (mf-http-grpc)POST /grpc/v1/set-shared-link-recipients
RequestSetSharedLinkRecipientsRequest
ResponseSetSharedLinkRecipientsResponse
Book and levelVault API, standard
Kindwrite
SessionRequired: a session (mfiles-session-id-bin metadata) or a session assertion (x-mf-session-assertion metadata).
Idempotentno
Returns metadata structure versionyes (in the mfiles-metadata-version-bin trailer)
Streamingnone (unary)

Remarks

Request: SetSharedLinkRecipientsRequest

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.

FieldTypeDescription
recipients[]repeated SetSharedLinkRecipientThe recipients to update, each with the link's access_key and the new expires_at_utc and external_shared_link_access_type.
recipients[].access_keystringThe access key of the shared link.
recipients[].recipientSharedLinkRecipientThe information about the shared link recipient linked to the access key to update expiration time and access type.
recipients[].recipient.emailstringThe recipient email.
recipients[].recipient.access_timegoogle.protobuf.TimestampThe access time for the shared link. Is set by the server.
recipients[].recipient.created_by_userint32The creator of this shared Link.
recipients[].recipient.shared_link_notificationSharedLinkNotificationShared link notification type.Values: SHARED_LINK_NOTIFICATION_NONE (0), SHARED_LINK_NOTIFICATION_ALWAYS (1).
recipients[].recipient.expires_at_utcgoogle.protobuf.TimestampThe expiration time for the shared link. Use FILETIME_ZERO to indicate no expiration time.
recipients[].recipient.external_shared_link_access_typeExternalSharedLinkAccessTypeThe access type of the recipient.Values: EXTERNAL_SHARED_LINK_ACCESS_TYPE_UNINITIALIZED (0), EXTERNAL_SHARED_LINK_ACCESS_TYPE_DOWNLOAD (1), EXTERNAL_SHARED_LINK_ACCESS_TYPE_PREVIEW (2), EXTERNAL_SHARED_LINK_ACCESS_TYPE_EDIT (3).
recipients[].recipient.created_by_user_namestringThe user who created the shared link.

Response: SetSharedLinkRecipientsResponse

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.

FieldTypeDescription
recipients[]repeated SetSharedLinkRecipientThe updated recipients.
recipients[].access_keystringThe access key of the shared link.
recipients[].recipientSharedLinkRecipientThe information about the shared link recipient linked to the access key to update expiration time and access type.
recipients[].recipient.emailstringThe recipient email.
recipients[].recipient.access_timegoogle.protobuf.TimestampThe access time for the shared link. Is set by the server.
recipients[].recipient.created_by_userint32The creator of this shared Link.
recipients[].recipient.shared_link_notificationSharedLinkNotificationShared link notification type.Values: SHARED_LINK_NOTIFICATION_NONE (0), SHARED_LINK_NOTIFICATION_ALWAYS (1).
recipients[].recipient.expires_at_utcgoogle.protobuf.TimestampThe expiration time for the shared link. Use FILETIME_ZERO to indicate no expiration time.
recipients[].recipient.external_shared_link_access_typeExternalSharedLinkAccessTypeThe access type of the recipient.Values: EXTERNAL_SHARED_LINK_ACCESS_TYPE_UNINITIALIZED (0), EXTERNAL_SHARED_LINK_ACCESS_TYPE_DOWNLOAD (1), EXTERNAL_SHARED_LINK_ACCESS_TYPE_PREVIEW (2), EXTERNAL_SHARED_LINK_ACCESS_TYPE_EDIT (3).
recipients[].recipient.created_by_user_namestringThe user who created the shared link.